%define major	1
%define libname	%mklibname dxfrw %{major}
%define devname	%mklibname dxfrw -d

# comment out if not pre release
%define prel	rc1

Name:		libdxfrw
Summary:	Library to read dwg and read/write dxf files
Version:	1.1.0
Release:	%mkrel 0.1
License:	GPLv2+
Group:		System/Libraries
Url:		https://github.com/LibreCAD/%{name}
Source0:	https://github.com/LibreCAD/%{name}/archive/%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.xz
BuildRequires:	cmake

%description
c++ library to read/write dxf files in binary and ascii form and to read dwg
form

%package -n %{libname}
Summary:	Library to read dwg and read/write dxf files

%description -n %{libname}
c++ library to read/write dxf files in binary and ascii form and to read dwg
form.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%package -n dwg2dxf
Summary:	Program to convert dwg/dxf to dxf (ascii and binary)
Group:		Graphics

%description -n dwg2dxf
This package contains the dwg2dxf tool to convert dwg/dxf files to
dxf (ascii and binary) file.

%prep
%setup -qn %{name}-%{version}%{?prel:-%prel}
%apply_patches


%build
%cmake
%cmake_build

%install
%cmake_install

%files -n dwg2dxf
%{_bindir}/dwg2dxf
%{_mandir}/man1/dwg2dxf.1*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/


%changelog
* Thu Aug 04 2022 tex - 1.1.0-0.rc1.1pclos2022
- new version 1.1.0-rc1
